com.fasterxml.jackson.databind.cfg

## Class ConfigOverride

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverride

Direct Known Subclasses:
  MutableConfigOverride

    public abstract class ConfigOverride
    extends Object

Configuration object that is accessed by databinding functionality to find overrides to configuration of properties, based on declared type of the property. Such overrides have precedence over annotations attached to actual type (`Class`), but can be further overridden by annotations attached to the property itself.

Since:
  2.8

### Field Summary

Fields
`protected JsonFormat.Value` `_format` Definitions of format overrides, if any.
`protected JsonIgnoreProperties.Value` `_ignorals` Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.
`protected JsonInclude.Value` `_include` Definitions of inclusion overrides, if any.
`protected Boolean` `_isIgnoredType` Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.

### Constructor Summary

Constructors
`protected` `ConfigOverride()`
`protected` `ConfigOverride(ConfigOverride src)`

### Method Summary

Methods
`JsonFormat.Value` `getFormat()`
`JsonIgnoreProperties.Value` `getIgnorals()`
`JsonInclude.Value` `getInclude()`
`Boolean` `getIsIgnoredType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _format

    protected JsonFormat.Value _format

Definitions of format overrides, if any.

#### _include

    protected JsonInclude.Value _include

Definitions of inclusion overrides, if any.

#### _ignorals

    protected JsonIgnoreProperties.Value _ignorals

Definitions of property ignoral (whether to serialize, deserialize given logical property) overrides, if any.

#### _isIgnoredType

    protected Boolean _isIgnoredType

Flag that indicates whether "is ignorable type" is specified for this type; and if so, is it to be ignored (true) or not ignored (false); `null` is used to indicate "not specified", in which case other configuration (class annotation) is used.

### Constructor Detail

#### ConfigOverride

    protected ConfigOverride()

#### ConfigOverride

    protected ConfigOverride(ConfigOverride src)

### Method Detail

#### getFormat

    public JsonFormat.Value getFormat()

#### getInclude

    public JsonInclude.Value getInclude()

#### getIgnorals

    public JsonIgnoreProperties.Value getIgnorals()

#### getIsIgnoredType

    public Boolean getIsIgnoredType()